NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.AME.BulkEngineeringObjectBuilder Class Reference

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation. More...

Inheritance diagram for NXOpen.AME.BulkEngineeringObjectBuilder:
NXOpen.AME.MultipleObjectsBuilder NXOpen.AME.AMEBaseBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe bool AspectPlacement [get, set]
 Returns or sets the aspect placement More...
 
unsafe
NXOpen.AME.EngineeringObjectNameBuilder 
EOName [get]
 Returns the eo name and description ui block More...
 
unsafe
NXOpen.AME.EODefAttributeHolder 
EoDefAttributeHolder [get]
 Returns the def More...
 
unsafe
NXOpen.Tooling.SelectReuseLibraryItemBuilder 
ReuseLibraryItem [get]
 Returns the selection definition builder More...
 
unsafe
NXOpen.AME.SelectionEngineeringObjectDefinitionBuilder 
SelectedEngObjectDefinition [get]
 Returns the selected eo def More...
 
unsafe
NXOpen.AME.SelectAMEBaseNodeList 
SelectedObjects [get]
 Returns the select object More...
 
unsafe bool ShowInAutomation [get, set]
 Returns or sets the show in automation More...
 
unsafe bool ShowInFunction [get, set]
 Returns or sets the show in function More...
 
unsafe bool ShowInLocation [get, set]
 Returns or sets the show in location More...
 
unsafe bool ShowInProduct [get, set]
 Returns or sets the show in product More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.AME.MultipleObjectsBuilder
unsafe NXOpen.NXObject[] GetNewObjects ()
 Get the commited Aspect More...
 

Detailed Description

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation.

To create a new instance of this class, use NXOpen.AME.AMEManager.CreateBulkEngineeringObjectBuilder

Default values.

Property Value

AspectPlacement

false

ShowInAutomation

false

ShowInFunction

false

ShowInLocation

false

ShowInProduct

false

Created in NX11.0.0

Property Documentation

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.AspectPlacement
getset

Returns or sets the aspect placement

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.EODefAttributeHolder NXOpen.AME.BulkEngineeringObjectBuilder.EoDefAttributeHolder
get

Returns the def

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.EngineeringObjectNameBuilder NXOpen.AME.BulkEngineeringObjectBuilder.EOName
get

Returns the eo name and description ui block

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.Tooling.SelectReuseLibraryItemBuilder NXOpen.AME.BulkEngineeringObjectBuilder.ReuseLibraryItem
get

Returns the selection definition builder

Created in NX12.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.SelectionEngineeringObjectDefinitionBuilder NXOpen.AME.BulkEngineeringObjectBuilder.SelectedEngObjectDefinition
get

Returns the selected eo def

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe NXOpen.AME.SelectAMEBaseNodeList NXOpen.AME.BulkEngineeringObjectBuilder.SelectedObjects
get

Returns the select object

Created in NX11.0.0

License requirements: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInAutomation
getset

Returns or sets the show in automation

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInFunction
getset

Returns or sets the show in function

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInLocation
getset

Returns or sets the show in location

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

unsafe bool NXOpen.AME.BulkEngineeringObjectBuilder.ShowInProduct
getset

Returns or sets the show in product

Created in NX11.0.0

License requirements to get this property: ad_automation_design ("FULL AUTOMATION DESIGNER")

License requirements to set this property: ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.